Loading...
Searching...
No Matches
pappso::MassSpectrumFilterResampleRemoveMzRange Class Reference

`#include <filterresample.h>`

Inheritance diagram for pappso::MassSpectrumFilterResampleRemoveMzRange:

## Public Member Functions

| MassSpectrumFilterResampleRemoveMzRange (const MzRange &mz_range)
| MassSpectrumFilterResampleRemoveMzRange (const MassSpectrumFilterResampleRemoveMzRange &other)
virtual | ~MassSpectrumFilterResampleRemoveMzRange ()
MassSpectrum & | filter (MassSpectrum &spectrum) const override
Public Member Functions inherited from pappso::MassSpectrumFilterInterface
virtual | ~MassSpectrumFilterInterface ()

## Private Attributes

const FilterResampleRemoveXRange | m_filterRange

## Detailed Description

Definition at line 141 of file filterresample.h.

## Constructor & Destructor Documentation

## MassSpectrumFilterResampleRemoveMzRange() [1/2]

pappso::MassSpectrumFilterResampleRemoveMzRange::MassSpectrumFilterResampleRemoveMzRange | ( | const MzRange & | mz_range | ) |

Definition at line 202 of file filterresample.cpp.

: m_filterRange(mz_range.lower(), mz_range.upper())
{
}
pappso::MassSpectrumFilterResampleRemoveMzRange::m_filterRange
const FilterResampleRemoveXRange m_filterRange
Definition filterresample.h:145

## MassSpectrumFilterResampleRemoveMzRange() [2/2]

pappso::MassSpectrumFilterResampleRemoveMzRange::MassSpectrumFilterResampleRemoveMzRange | ( | const MassSpectrumFilterResampleRemoveMzRange & | other | ) |

Definition at line 208 of file filterresample.cpp.

: m_filterRange(other.m_filterRange)
{
}

## ~MassSpectrumFilterResampleRemoveMzRange()

virtual pappso::MassSpectrumFilterResampleRemoveMzRange::~MassSpectrumFilterResampleRemoveMzRange | ( |  | ) |

inline virtual

Definition at line 151 of file filterresample.h.

{};

## Member Function Documentation

## filter()

MassSpectrum & pappso::MassSpectrumFilterResampleRemoveMzRange::filter | ( | MassSpectrum & | spectrum | ) | const

override virtual

Implements pappso::MassSpectrumFilterInterface.

Definition at line 216 of file filterresample.cpp.

{
// qDebug() << m_filterRange.filter(spectrum);
m_filterRange.filter(spectrum);
return spectrum;
}
pappso::FilterResampleRemoveXRange::filter
Trace & filter(Trace &trace) const override
Definition filterresample.cpp:120

References pappso::FilterResampleRemoveXRange::filter(), and m_filterRange.

Referenced by pappso::XtandemSpectrumProcess::process().

## Member Data Documentation

## m_filterRange

const FilterResampleRemoveXRange pappso::MassSpectrumFilterResampleRemoveMzRange::m_filterRange

private

Definition at line 145 of file filterresample.h.

Referenced by filter().

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterresample.h
- pappsomspp/processing/filters/filterresample.cpp